cURL
curl --request GET \ --url https://api.staging.qyl.dev/api/v1/alerts/firings
{ "items": [ { "id": "<string>", "rule_id": "<string>", "fingerprint": "<string>", "severity": "critical", "title": "<string>", "status": "firing", "fired_at": "2023-11-07T05:31:56Z", "message": "<string>", "trigger_value": 123, "threshold_value": 123, "context_json": "<string>", "acknowledged_at": "2023-11-07T05:31:56Z", "acknowledged_by": "<string>", "resolved_at": "2023-11-07T05:31:56Z", "dedup_key": "<string>" } ], "has_more": true, "next_cursor": "<string>", "prev_cursor": "<string>" }
List alert firings
Rule ID filter
Status filter Alert firing status
firing
acknowledged
resolved
suppressed
Start time
End time
Page size
1 <= x <= 100
Cursor
The request has succeeded.
Cursor-based paginated response wrapper
List of items in this page
Show child attributes
Whether there are more items available
Cursor for the next page (null if no more pages)
Cursor for the previous page (null if first page)
Was this page helpful?